# postJson | Welshman Docs
Documentation for Welshman Docs

# Function postJson

Posts JSON data to URL

- postJson< T >(url: string, data: T , opts?: FetchOpts): Promise<any>

- #### Type Parameters

  - T

  #### Parameters

  - url: string

    URL to post to

  - data: T

    Data to send

  - opts: FetchOpts = {}

    Additional fetch options

  #### Returns Promise<any>

  Promise of parsed JSON response

  - Defined in packages/lib/src/Tools.ts:1046